// This file is automatically compiled by Webpack, along with any other files
// present in this directory. You're encouraged to place your actual application logic in
// a relevant structure within app/javascript and only use these pack files to reference
// that code so it'll be compiled.

require("@rails/ujs").start()
require("turbolinks").start()
require("@rails/activestorage").start()
require("channels")

// Initialize Prism.js on page load and turbolinks navigation
document.addEventListener('turbolinks:load', function() {
  if (typeof Prism !== 'undefined') {
    Prism.highlightAll();
  }
});

// Handle copy to clipboard functionality
document.addEventListener('turbolinks:load', function() {
  // Add click handler for copy buttons
  document.querySelectorAll('.copy-btn').forEach(function(btn) {
    btn.addEventListener('click', function() {
      const target = this.getAttribute('data-target');
      const textArea = document.querySelector(target);
      if (textArea) {
        textArea.select();
        document.execCommand('copy');
        
        // Provide visual feedback
        const originalText = this.textContent;
        this.textContent = 'Copied!';
        setTimeout(() => {
          this.textContent = originalText;
        }, 1000);
      }
    });
  });
});


// Uncomment to copy all static images under ../images to the output folder and reference
// them with the image_pack_tag helper in views (e.g <%= image_pack_tag 'rails.png' %>)
// or the `imagePath` JavaScript helper below.
//
// const images = require.context('../images', true)
// const imagePath = (name) => images(name, true)
